require "net/http"

require "picsou/version"

module Picsou
  class Client
    # param [String] endpoint host to query, ie picsou.powerpanne.com
    # param [String] api_key API key to log in
    def initialize(endpoint, api_key)
      @endpoint = "http://#{endpoint}/api/notify/"
      @api_key = api_key
    end
  
    def query(feature_id, company_name)
   	  url = URI.parse(@endpoint)
      url.query = URI.encode_www_form({token: @api_key, feature_id: feature_id, company_name: company_name})
      req = Net::HTTP::Get.new(url.to_s)
      res = Net::HTTP.start(url.host, url.port) do |http|
        http.request(req)
      end
    end
  end
end